package common

import "github.com/google/uuid"

type Profile struct {
	ID          uuid.UUID `json:"id"`
	Name        string    `json:"name"`
	WorkspaceID uuid.UUID `json:"workspace_id"`
}

type Social struct {
	ID        uuid.UUID `json:"id"`
	ProfileID uuid.UUID `json:"profile_id"`
	Platform  string    `json:"platform"`
	Handle    string    `json:"handle"`
}

type CreateProfileRequest struct {
	Name        string `json:"name"`
	WorkspaceID string `json:"workspace_id"`
}

type UpdateProfileRequest struct {
	Name string `json:"name"`
}
